Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HandleBoxSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::HandleBox. More...

`#include <xfc/gtk/handleboxsignals.hh>`

Inheritance diagram for Xfc::Gtk::HandleBoxSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_child_attached (Widget &child)
    Called when the contents of the handlebox are reattached to the main window.
- virtual void on_child_detached (Widget &child)
    Called when the contents of the handlebox are detached from the main window.

## Protected Member Functions

Constructors

- HandleBoxSignals (HandleBox *handle_box)
    Construct a new HandleBoxSignals object.
- virtual ~HandleBoxSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::HandleBox.

## Constructor & Destructor Documentation

Xfc::Gtk::HandleBoxSignals::HandleBoxSignals | ( | HandleBox * | handle_box | ) | `[protected]`

Construct a new HandleBoxSignals object.

Parameters:

  | handle_box | A HandleBox object inheriting the HandleBoxSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::HandleBoxSignals::on_child_attached | ( | Widget & | child | ) | `[virtual]`

Called when the contents of the handlebox are reattached to the main window.

Parameters:

  | child | The child widget of the handlebox.

The child argument provides no extra information and is here only for backwards compatibility.

virtual void Xfc::Gtk::HandleBoxSignals::on_child_detached | ( | Widget & | child | ) | `[virtual]`

Called when the contents of the handlebox are detached from the main window.

Parameters:

  | child | The child widget of the handlebox.

The child argument provides no extra information and is here only for backwards compatibility.

The documentation for this class was generated from the following file:

- handleboxsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3